<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-tools-patch" role="wrap">
  <?dbhtml filename="patch.html"?>

  <sect1info condition="script">
    <productname>patch</productname>
    <productnumber>&patch-version;</productnumber>
    <address>&patch-url;</address>
  </sect1info>

  <title>Patch-&patch-version;</title>

  <indexterm zone="ch-tools-patch">
    <primary sortas="a-Patch">Patch</primary>
    <secondary>tools</secondary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
    href="../chapter06/patch.xml"
    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&patch-ch5-sbu;</seg>
        <seg>&patch-ch5-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Patch</title>

    <para>准备编译 Patch：</para>

<screen><userinput remap="configure">./configure --prefix=/tools</userinput></screen>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <!--para>Compilation is now complete. As discussed earlier, running the test
    suite is not mandatory for the temporary tools here in this chapter. To run
    the Patch test suite anyway, issue the following command:</para-->
<para>现在编译已经完成，正如前文所述，
没有必要在本章中运行临时工具的测试套件。如果一定要运行 Patch
的测试套件，执行以下命令：</para>

<screen><userinput remap="test">make check</userinput></screen>

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title/>

    <para>该软件包的详细信息可以在
    <xref linkend="contents-patch"/> 中找到。</para>

  </sect2>

</sect1>
